Create a Termination Member Request
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
"last_work_date": "2020-01-15",
"reason": "voluntary",
"signature_date": "2020-01-01"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination"
payload = {
"employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
"last_work_date": "2020-01-15",
"reason": "voluntary",
"signature_date": "2020-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employee_id: '6dc22bed-27fc-458c-b732-bdaf5b5a1031',
last_work_date: '2020-01-15',
reason: 'voluntary',
signature_date: '2020-01-01'
})
};
fetch('https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'employee_id' => '6dc22bed-27fc-458c-b732-bdaf5b5a1031',
'last_work_date' => '2020-01-15',
'reason' => 'voluntary',
'signature_date' => '2020-01-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination"
payload := strings.NewReader("{\n \"employee_id\": \"6dc22bed-27fc-458c-b732-bdaf5b5a1031\",\n \"last_work_date\": \"2020-01-15\",\n \"reason\": \"voluntary\",\n \"signature_date\": \"2020-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"employee_id\": \"6dc22bed-27fc-458c-b732-bdaf5b5a1031\",\n \"last_work_date\": \"2020-01-15\",\n \"reason\": \"voluntary\",\n \"signature_date\": \"2020-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"employee_id\": \"6dc22bed-27fc-458c-b732-bdaf5b5a1031\",\n \"last_work_date\": \"2020-01-15\",\n \"reason\": \"voluntary\",\n \"signature_date\": \"2020-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"body": {
"employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
"last_work_date": "2020-01-15",
"reason": "voluntary",
"signature_date": "2020-01-01"
},
"created": 1557512389,
"employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1564440756,
"request_type": "termination",
"status": "processing",
"transactions": [
"f4ecdaa5-e019-4a24-98c7-2caee9a58ccd"
]
}Requests
Create a Termination Member Request
The termination member request is used to remove an employee and their dependents from coverage at all carriers. The last_work_date will be communicated to the carrier and the last_day_of_coverage will be determined by the carrier and included in the result.
POST
/
api
/
v1
/
employees
/
{employee_id}
/
member_requests
/
termination
Create a Termination Member Request
curl --request POST \
--url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
"last_work_date": "2020-01-15",
"reason": "voluntary",
"signature_date": "2020-01-01"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination"
payload = {
"employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
"last_work_date": "2020-01-15",
"reason": "voluntary",
"signature_date": "2020-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employee_id: '6dc22bed-27fc-458c-b732-bdaf5b5a1031',
last_work_date: '2020-01-15',
reason: 'voluntary',
signature_date: '2020-01-01'
})
};
fetch('https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'employee_id' => '6dc22bed-27fc-458c-b732-bdaf5b5a1031',
'last_work_date' => '2020-01-15',
'reason' => 'voluntary',
'signature_date' => '2020-01-01'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination"
payload := strings.NewReader("{\n \"employee_id\": \"6dc22bed-27fc-458c-b732-bdaf5b5a1031\",\n \"last_work_date\": \"2020-01-15\",\n \"reason\": \"voluntary\",\n \"signature_date\": \"2020-01-01\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"employee_id\": \"6dc22bed-27fc-458c-b732-bdaf5b5a1031\",\n \"last_work_date\": \"2020-01-15\",\n \"reason\": \"voluntary\",\n \"signature_date\": \"2020-01-01\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/termination")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"employee_id\": \"6dc22bed-27fc-458c-b732-bdaf5b5a1031\",\n \"last_work_date\": \"2020-01-15\",\n \"reason\": \"voluntary\",\n \"signature_date\": \"2020-01-01\"\n}"
response = http.request(request)
puts response.read_body{
"body": {
"employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
"last_work_date": "2020-01-15",
"reason": "voluntary",
"signature_date": "2020-01-01"
},
"created": 1557512389,
"employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"modified": 1564440756,
"request_type": "termination",
"status": "processing",
"transactions": [
"f4ecdaa5-e019-4a24-98c7-2caee9a58ccd"
]
}The Member Request workflow is now deprecated in favor of using Member
Snapshot
Authorizations
Path Parameters
Body
application/json
Response
201 - application/json
Successful Response - Returns the new Member Request
Was this page helpful?
